
Katello - Bug #33689

intermittent test failure related to enabled content types

10/13/2021 12:14 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee:    

Category: Tests   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There's an intermittent test failure related to content types.  I've seen a handful of failures, but also ~70 failures:

ForemanTasks::TaskError: Task 931b07df-8eaa-4f78-91ce-d00c6b25bf4b: RuntimeError: Cannot find repo

sitory type file, is it enabled?...

Stacktrace

ForemanTasks::TaskError: Task 931b07df-8eaa-4f78-91ce-d00c6b25bf4b: RuntimeError: Cannot find repo

sitory type file, is it enabled?

    foreman-tasks (5.1.1) lib/foreman_tasks.rb:56:in `block in sync_task'

    foreman-tasks (5.1.1) lib/foreman_tasks.rb:55:in `tap'

    foreman-tasks (5.1.1) lib/foreman_tasks.rb:55:in `sync_task'

    /home/jenkins/workspace/katello-pr-test/test/actions/pulp3/repository/save_versions_test.rb:48

:in `test_save_new_version_from_lookup_with_nil_version_hrefs'

    /home/jenkins/workspace/katello-pr-test/test/support/vcr.rb:26:in `block in run'

    /home/jenkins/workspace/katello-pr-test/test/support/vcr.rb:25:in `run' (ForemanTasks::TaskErr

or)

/usr/local/rvm/gems/ruby-2.7.0@katello-pr-test-8905-2/gems/foreman-tasks-5.1.1/lib/foreman_tasks.r

b:56

 
NoMethodError: undefined method `pulp3_skip_publication' for nil:NilClass...

Stacktrace

NoMethodError: undefined method `pulp3_skip_publication' for nil:NilClass

    /home/jenkins/workspace/katello-pr-test/app/lib/actions/pulp3/orchestration/repository/generat

e_metadata.rb:10:in `plan'

    /home/jenkins/workspace/katello-pr-test/app/lib/actions/middleware/backend_services_check.rb:2

3:in `plan'

    /home/jenkins/workspace/katello-pr-test/app/lib/actions/middleware/remote_action.rb:9:in `plan

'

    /home/jenkins/workspace/katello-pr-test/test/actions/katello/repository_test.rb:481:in `block 

in <class:SyncTest>' (NoMethodError)

/usr/local/rvm/gems/ruby-2.7.0@katello-pr-test-8905-2/gems/dynflow-1.6.1/lib/dynflow/middleware.rb

:36

--seed 41329

History

#1 - 10/13/2021 12:15 PM - Justin Sherrill

- Subject changed from intermittent test failure to intermittent test failure related to enabled content types

#2 - 10/13/2021 05:58 PM - Andrew Dewar

- Target version set to Katello 4.3.0

- Triaged changed from No to Yes

#3 - 11/10/2021 02:29 PM - Justin Sherrill
- Target version changed from Katello 4.3.0 to Katello Backlog

#4 - 01/11/2022 06:37 PM - Ian Ballou

- Status changed from New to Closed

Closing this for now since the issue isn't reproducible and folks haven't seen it for a couple months.
